<?php
namespace Claromentis\Gallery\Search;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_61a5ceb347019e37116d4d29" . "07163b82" => base64_decode("bWF0Y" . "2hfYW" . "xs"), "_c61345cce" . "dc39c19774" . "27766275e2" . "da6" => base64_decode("aW1hZ2VfZ2Fs" . "bGVyeQ=="), "_df945ac2fbdd1576202fb48096" . "eb43f9" => base64_decode("YWRtaW4ucGFuZWxzX2" . "xpc3Q="), "perm" . "s" => base64_decode("cGVy" . "bXM="));
use Claromentis\Core\Admin\AdminPanel;
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Core\Services;
use Claromentis\Search\GlobalSearchItemInterface;
use Claromentis\Search\Permissions as SearchPermissions;





class GallerySearchImage implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\ImageIndexing();
    }
    
    
    
    
    
    
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_9d8a16b274aa2655326eee6fb9000c83 = new SearchPermissions();
        
        
        $_9c58d9e285fddad133acf2e9dff4c4b5 = Services::I()->{$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_df945ac2fbdd1576202fb48096eb" . "43f9"]}->GetOne($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_c61345cc" . "edc39c197" . "742776627" . "5e2da6"]);
        if (!$_9c58d9e285fddad133acf2e9dff4c4b5->IsAccessible($context)) {
            return $_9d8a16b274aa2655326eee6fb9000c83->GetSearchFilter($context, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["perm" . "s"]);
        } else {
            return [$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_61a5ceb347019e37116d4d" . "2907163b82"] => new \stdClass()];
        }
    }
    
    
    
    
    public function GetView()
    {
        return new View\ImageView();
    }
}